<?php
/**
 *    This file is part of Mobile Assistant Connector.
 *
 *   Mobile Assistant Connector is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Mobile Assistant Connector is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Mobile Assistant Connector.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  @author    eMagicOne <contact@emagicone.com>
 *  @copyright 2014-2018 eMagicOne
 *  @license   http://www.gnu.org/licenses   GNU General Public License
 */

class MobileassistantconnectorHelperQrcode extends JHelperContent
{
    public static $extension = 'com_mobileassistantconnector';

    public static function getDataToQrCode($base_url, $username, $password)
    {
        $base_url = str_replace('http://', '', $base_url);
        $base_url = str_replace('https://', '', $base_url);
        preg_replace('/\/*$/i', '', $base_url);

        $data = array(
            'url' => $base_url,
            'login' => $username,
            'password' => $password
        );

        return base64_encode($data = json_encode($data));
    }
}