<?php
/**
 *    This file is part of Mobile Assistant Connector.
 *
 *   Mobile Assistant Connector is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Mobile Assistant Connector is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Mobile Assistant Connector.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  @author    eMagicOne <contact@emagicone.com>
 *  @copyright 2014-2018 eMagicOne
 *  @license   http://www.gnu.org/licenses   GNU General Public License
 *  @package MobileAssistantConnector
 */

defined('_JEXEC') or die;

jimport ('joomla.plugin.plugin');

if (!class_exists ('vmPlugin')) {
    require(JPATH_VM_PLUGINS . '/vmpsplugin.php');
}

require_once( JPATH_SITE . '/components/com_mobileassistantconnector/helpers/notifications.php');

class PlgVmPaymentMobileassistantconnector extends vmPSPlugin
{
    public function plgVmConfirmedOrder ($cart, $order)
    {
        if (!empty(JFactory::getApplication()->input->getCmd('option'))) {
            MobileassistantconnectorHelperNotifications::onOrderCreated($order);
        }
    }
}